import { IButtonComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkButton implements IButtonComponent {
  /**
   * Text to be displayed
   */
  text: string;
  /**
   * Id for button
   */
  buttonId: string;
  /**
   * Controls disabled state of button
   */
  buttonDisabled: boolean;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
