import { IProduct, ICarrier, IOfflineQuoteComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkOfflineQuote implements IOfflineQuoteComponent {
  /**
   * Carrier
   */
  carrier: ICarrier;
  /**
   * Product selection
   */
  product: IProduct;
  /**
   * Should show logo
   */
  showLogo: boolean;
  /**
   * Should show custom logo
   */
  showCustomLogo: boolean;
  /**
   * Custom logo url
   */
  customLogoBaseUrl: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  renderProduct(product: IProduct): any;
  logoUrl(): string;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
