import { EventEmitter } from '../../stencil-public-runtime';
import { INextButtonComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkNextButton implements INextButtonComponent {
  /**
   * Forward button text
   */
  text: string;
  /**
   * Icon name
   */
  icon: string;
  /**
   * Navigate event
   */
  navigateNext: EventEmitter<void>;
  /**
   * Controls disabled state of button
   */
  buttonDisabled: boolean;
  /**
   * Extra CSS classes to be added onto the next button
   */
  cssClasses: string;
  useExternal: boolean;
  resetState(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
