import { EventEmitter } from '../../stencil-public-runtime';
import { IApplicationFormQuestionSet, IQuestionSetNavigationComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuestionSetNavigation implements IQuestionSetNavigationComponent {
  /**
   * Potential question sets
   */
  questionSets: IApplicationFormQuestionSet[];
  /**
   * Question set navigation enabled/disabled
   */
  isNavigationEnabled: boolean;
  /**
   * Active question set id
   */
  activeId: string;
  useExternal: boolean;
  el: HTMLElement;
  activeIdUpdate: EventEmitter<string>;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
  updateQuestionSetId: (id: string) => () => void;
  onKeyDown: (e: KeyboardEvent) => void;
  onKeyUp: (e: KeyboardEvent) => void;
  getPosition(index: number, key: string): number;
}
