import { ICarrier, IQuoteRequestLogoContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestLogoContainer implements IQuoteRequestLogoContainerComponent {
  /**
   * Carrier information
   */
  carrier: ICarrier;
  /**
   * Custom logo base url
   */
  customLogoBaseUrl: string;
  /**
   * Show logo
   */
  showLogo: boolean;
  /**
   * Show custom logo
   */
  showCustomLogo: boolean;
  useExternal: boolean;
  name: string;
  logoUrl: string;
  resetState(): void;
  componentWillLoad(): void;
  onCarrierChange(carrier: ICarrier): void;
  onCustomLogoBaseUrlChange(customLogoBaseUrl: string): void;
  onShowCustomLogoChange(showCustomLogo: boolean): void;
  updateLogoUrl(carrier: ICarrier, baseUrl: string, showCustomLogo: boolean): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
