import { getFeatures } from '@boldpenguin/sdk-redux';
export declare class BpSdkRoot {
  getFeatures: typeof getFeatures;
  completedAt: Date;
  /**
   * Disable web socket
   */
  disableWebSocket: boolean;
  /**
   * Disable lifecycle events, false by default
   */
  enableLifecycleEvents: boolean;
  /**
   * Disable toolbar
   */
  disableToolbar: boolean;
  storeLoaded: boolean;
  onDisabledWebSocket(disableWebSocket: boolean): void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any;
}
